define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var ShellImpl = require('$UI/system/lib/portal/shellImpl');// 门户
	var CommonUtils = require("$UI/system/components/justep/common/utils");// 物理键操作插件

	require("./common/layer/layer");// 引用layer弹出层插件
	require("css!./common/layer/skin/layer").load();// 加载layer弹出层插件CSS样式
	require("css!./common/app").load();
	
	// #B32927红
	// #2B4451素黑
	// #343F4D黑

	var Model = function() {
		this.callParent();
		this.shellImpl = new ShellImpl(this, {
			contentsXid : 'Pages',
			pageMappings : {
				"main" : {
					url : require.toUrl('./index-main.w')
				}
			}
		});
	};

	/**
	 * 
	 * @author shaoyi
	 * @email 3328175381@qq.com
	 * 
	 * @date 2016-11-16 下午12:07:11
	 * @copyright 作者原创，转载务必注明出处，谢谢！
	 * 
	 * @project 英雄三国APP
	 * @Description APP框架页面
	 * 
	 */

	/**
	 * Model 页面初始化完成
	 * 
	 * @param event
	 */
	Model.prototype.modelLoad = function(event) {
		this.shellImpl.showPage("main");// 显示首页

		// 注册shell分支事件
		justep.Shell.on('regainBackClick', this.regainBackClick, this);// 恢复物理键
		justep.Shell.on('changeBackClick', this.changeBackClick, this);// 改变物理键

	};

	/**
	 * Model 页面关闭
	 * 
	 * @param event
	 */
	Model.prototype.modelUnLoad = function(event) {

		// 注销shell分支事件
		justep.Shell.off('regainBackClick', this.regainBackClick, this);// 恢复物理键
		justep.Shell.off('changeBackClick', this.changeBackClick, this);// 改变物理键
	};

	/**
	 * 改变物理键 原有事件
	 * 
	 * @param event
	 */
	Model.prototype.changeBackClick = function(event) {
		var options = event.options;
		CommonUtils.attachDoubleClickExitApp(function() {
		}, options);
	};

	/**
	 * 恢复物理返回按钮原有事件
	 * 
	 * @param event
	 */
	Model.prototype.regainBackClick = function(event) {
		CommonUtils.attachDoubleClickExitApp(function() {
		});
	};

	return Model;
});