define(function(require) {
	var $ = require('jquery');
	var WindowContainer = require("$UI/system/components/justep/windowContainer/windowContainer");
	var AppConst = require("$UI/y3/common/appConst");//APP系统常量

	return {
		loadContent : function(contents, xid, url, fn) {
			var content = contents.getContent(xid);
			if (!content) {
				content = contents.add({
					xid : xid
				});
			}
			var parentNode = content.$domNode.get(0);
			var compose = new WindowContainer({
				parentNode : parentNode,
				src : url,
				onLoad : function() {
					fn && fn();
					content.on("onActive", function() {
						if (compose.getInnerModel()) {
							compose.getInnerModel().fireEvent('onActive');
						}
					});
				},
				onLoadError : function(err) {
					fn && fn(err);
				}
			});
			content.innerContainer = compose;
			return content;
		},
		attachDoubleClickExitApp : function(conditionFn, backOptions) {
			var exitDtd = $.Deferred();
			var self = this;
			self._backOptions = backOptions;
			
			if (this.attached === true) {
				exitDtd.reject();
			} else {
				this.attached = true;
				document
						.addEventListener(
								"deviceready",
								function() {
									var exitAppTicker = 0;
									var listener = function() {

										function exitApp() {

											if (exitAppTicker === 0) {
												exitAppTicker++;
												var msg = $(
														'<div style="display: none;z-index:99999;position: fixed;width: 100%;bottom: 25px;text-align: center;"><span style="font-size:18px;border-radius: 3px;padding: 7px;background-color: #383838;color: #F0F0F0;">再按一次退出应用</span></div>')
														.appendTo('body');
												msg.fadeIn(400).delay(2000).fadeOut(400, function() {
													exitAppTicker = 0;
													msg.remove();
												});
											} else if (exitAppTicker == 1) {
												exitDtd.resolve();
												navigator.app.exitApp();
											}

										}

										if (conditionFn()) {
											exitApp();						
										} else {

											var options = self._backOptions;

											var action = null;
											var success = null;

											if (options) {
												var action = options.action ? options.action : null;
												var success = options.success ? options.success : null;
											}

											if ($('html').hasClass("x-focus-in")) {
												$('html').removeClass("x-focus-in");
											} else {

												if (action || success) {

													if (action == AppConst.BACK_EXITAPP) {
														exitApp();
													} else if (action == AppConst.BACK_BACK_SUPERIOR) {
														justep.Shell.closePage();
													}

													if ($.isFunction(success)) {
														success();
													}

												} else {
													history.back();
													// justep.Shell.closePage();
												}

											}
										}
									};
									document.addEventListener('backbutton', listener, false);
									$(window).on('beforeunload', function() {
										document.removeEventListener('backbutton', listener, false);
									});
								}, false);
			}
			return exitDtd.promise();
		},
		getShareUrl : function(url) {
			var currentUrl = new justep.URL(url || location.href);
			if (currentUrl.getHash()) {
				var _shareHash = currentUrl.getHash();
				currentUrl.setParam("_shareHash", _shareHash);
				currentUrl.setHash();
			}
			return currentUrl.toString();
		}
	};
});